Skip to content

data_associations_list

GET
/api/data/{data_pk}/associations
curl --request GET \
--url https://example.com/api/data/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/associations \
--header 'Authorization: Bearer <token>' \
--header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'

List the information related to all the Data Association objects.

data_pk
required
string format: uuid

Data ID

X-Workspace
required
string format: uuid

Workspace ID

node
string format: uuid

Filter associations to only those from this node ID

ordering
string

Which field to use when ordering the results.

p
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

search
string

A search term.

Media typeapplication/json
object
count
required
integer
next
string format: uri
nullable
previous
string format: uri
nullable
results
required
Array<object>

Serializer for Data associations.

object
id
required
string format: uuid
data_objects
required
Array<string>
data_obj
required

Return serialized data for the current data.

Parameters

obj : DataAssociation The object containing information about the current data.

Returns

list A list of serialized data objects.

Array
created_by
required

Return the interactor information of the object’s creator.

Parameters

obj : DataAssociation The object containing the creator information.

Returns

dict The interactor information of the creator.

object
key
additional properties
created_time
required
string format: date-time
last_edited_by
required

Return information about the last interactor who edited the object.

Parameters

obj : DataAssociation The object containing the last editor information.

Returns

dict The interactor information of the last editor.

object
key
additional properties
last_edited_time
required
string format: date-time

Example

{
"count": 123,
"next": "http://api.example.org/accounts/?p=4",
"previous": "http://api.example.org/accounts/?p=2"
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "forbidden",
"message": "You do not have permission to perform this operation. Check the `details` property for more details.",
"details": [
{
"parameter": "data",
"code": "not_allowed",
"message": "You do not have access to this data."
}
]
}